Okay
  Print

I'm getting an error whilst installing the required "MeanThemes Tools" plugin.

Don't worry, some hosts block external links unless they are WordPress.org links, just download the latest MeanThemes Tools from this permanent link:

http://update.meanthemes.com/plugin-updates/meanthemes-tools/meanthemes-tools-latest.zip

Then upload it via WordPress > Plugins > Add New.